Friday, February 26, 2016

Install Qt5/Qt Creator for Raspberry Pi 2/Raspbian Jessie


For Raspbian Jessie, qt5-default (Qt 5 development defaults package) is included in default repository. Here show how to install Qt5 and Qt Creator on Raspberry Pi 2 running frash new Raspbian Jessie, release 2016-02-09.

As my usual practice, update apt repository and firmware:
$ sudo apt-get update
$ sudo apt-get upgrade
$ sudo rpi-update

Then reboot if need.

Install xrdp, such than I can control Raspberry Pi remotely from Windows, and capture screen action.
$ sudo apt-get install xrdp

install qt5-default and qtcreator:
$ sudo apt-get install qt5-default
$ sudo apt-get install qtcreator


Once installed, you can run Qt Creator from desktop menu:
Menu > Programming > Qt Creator

or, enter the command in LXTerminal:
$ qtcreator

In my test, Qt Creator CANNOT run remotely from Windows using Microsoft Remote Desktop:


It can run locally:


And can run remotely from Windows using Putty/Xming:


As show in the videos, the code cannot be compiled with default setting caused by:
"Qt Creator needs a compiler set up to build. Configure a compiler in the kit options"

To fix it, refer to the above videos.

But, in my test, the compiler option cannot be saved, and I have to correct it every-time running Qt Creator.

Related:
- Same steps to Install Qt5/Qt Creator for Raspberry Pi 3/Raspbian Jessie


5 comments:

emi said...

did you try to disable the "welcome-plugin" when starting qtCreator in the remote desktop session?
try this:
command line:

qtcreator -noload Welcome

You can disable the Welcome plugin completely under Help->Plugins...

There is a known problem with the welcome-plugin in virtual-box and remote sessions.

MOHANKUMAR said...

how to change keyboard in qt typing i typing any thin is come to rong

Unknown said...

how come when i finished and checked.the qt creator said i needed a compiler set up to build where do i go ?

Haz said...

Has anyone tried to get this working with access to the hardware using pigpio library?
I have the same setup and cannot get the library to work now.

Rafael Bayareh said...

Hello,

I've tried this and it is unable to locate package qt5-default.

I follow the video instructions (which has more steps than the written tutorial) and I checked if the repository was still available and it seems not. I got only:

libmgl-qt5 - library for scientific graphs. (Qt runtime library).

am I doing something wrong?